# OpenLayers.Control.PanPanel

The PanPanel is visible control for panning the map North, South, East or West in small steps. By default it is drawn in the top left corner of the map.

#### Note

If you wish to use this class with the default images and you want it to look nice in ie6, you should add the following, conditionally added css stylesheet to your HTML file:

>     <!--[if lte IE 6]>
>       <link rel="stylesheet" href="../theme/default/ie6-style.css" type="text/css" />
>     <![endif]-->

#### Inherits from

- OpenLayers.Control.Panel

Summary

OpenLayers.Control.PanPanel | The PanPanel is visible control for panning the map North, South, East or West in small steps.
Properties |
slideFactor | {Integer} Number of pixels by which we’ll pan the map in any direction on clicking the arrow buttons, defaults to 50.
slideRatio | {Number} The fraction of map width/height by which we’ll pan the map on clicking the arrow buttons.
Constructor |
OpenLayers.Control.PanPanel | Add the four directional pan buttons.

### Properties

### slideFactor

{Integer} Number of pixels by which we’ll pan the map in any direction on clicking the arrow buttons, defaults to 50. If you want to pan by some ratio of the map dimensions, use slideRatio instead.

### slideRatio

{Number} The fraction of map width/height by which we’ll pan the map on clicking the arrow buttons. Default is null. If set, will override slideFactor. E.g. if slideRatio is .5, then Pan Up will pan up half the map height.

### Constructor

### OpenLayers.Control.PanPanel

Add the four directional pan buttons.

#### Parameters

options | {Object} An optional object whose properties will be used to extend the control.

The Panel control is a container for other controls.
{Number} The fraction of map width/height by which we’ll pan the map on clicking the arrow buttons.
{Integer} Number of pixels by which we’ll pan the map in any direction on clicking the arrow buttons, defaults to 50.
Close